#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 5322 $
$LastChangedDate:: 2021-12-06 15:31:58 +0100#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

from symspace.gui.qt.form_dialog import FormDialog
from PIL import Image


if __name__ == '__main__':

    form_title = 'Open Image File'
    form_elements = [('Select image file', 'browse_file', '', 'Project files (*.*)')]
    form_result = FormDialog.run(form_title, form_elements)
    
    if form_result['accept']:
        img = Image.open(form_result['Select image file'])
        img = img.convert("RGBA")
        datas = img.getdata()
        rgb0 = datas[0]
        newData = []
        for item in datas:
            if item == rgb0:
                newData.append((255, 255, 255, 0))
            else:
                newData.append(item)

        img.putdata(newData)
        img.save(form_result['Select image file'], 'PNG')
    else:
        print('Cancelled by user')

