#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 2628 $
$LastChangedDate:: 2019-12-05 14:24:02 +0100#$

This file is part of SyMSpace.

Copyright (c) 2019, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
import os

try:
    '''enable c-code compilation from python'''
    from setuptools_cythonize import CythonizeBuild, get_cmdclass


    class MSVCCythonizeBuild(CythonizeBuild):
        def __init__(self, dist):
            super().__init__(dist)
            self.compiler = 'msvc'


    cmdclass = get_cmdclass(wheel_default=True)
    if os.name == 'nt':
        '''set visual studio as standard compiler for windows'''
        cmdclass['build'] = MSVCCythonizeBuild

except ImportError:
    cmdclass = {}
